Next Commerce
API ReferenceOrders

Orders Refund Create

Refund an existing order.

POST
/orders/{number}/refund/

Authorization

oauth2 orders:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: orders:write

Path Parameters

number*Order number

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Request Body

Response Body

application/json

curl -X POST "https://example.com/orders/string/refund/" \  -H "X-29next-API-Version: 2024-04-01" \  -H "Content-Type: application/json" \  -d '{    "transactions": [      {        "amount": "string",        "id": 0      }    ]  }'
{  "adjustments": [    {      "amount_excl_tax": "string",      "amount_incl_tax": "string",      "id": 0,      "report_values": {        "amount_excl_tax": "string",        "amount_incl_tax": "string",        "currency": "string"      },      "type": "refund_shipping"    }  ],  "created_at": "2019-08-24T14:15:22Z",  "id": 0,  "note": "string",  "order_number": "string",  "refund_line_items": [    {      "amount_excl_tax": "string",      "amount_incl_tax": "string",      "id": 0,      "line_item_id": 0,      "location_id": 0,      "quantity": 0,      "report_values": {        "amount_excl_tax": "string",        "amount_incl_tax": "string",        "currency": "string"      },      "restock_type": "cancel"    }  ],  "report_values": {    "currency": "string",    "total_refund_amount": "string",    "total_return_excl_tax": "string",    "total_return_incl_tax": "string"  },  "total_refund_amount": "string",  "total_return_excl_tax": "string",  "total_return_incl_tax": "string",  "transactions": [    {      "amount": "string",      "auth_code": "string",      "currency": "string",      "date_created": "2019-08-24T14:15:22Z",      "external_id": "string",      "id": 0,      "is_disputed": true,      "is_external": true,      "is_initial_retry": true,      "is_test": true,      "network_transaction_id": "string",      "parent_id": 0,      "payment_details": {        "bankcard_first_six": "string",        "bankcard_last_four": "string",        "card_token": "string",        "gateway": {          "id": 0,          "is_next_payments": true,          "name": "string",          "type": "string"        },        "is_3ds": true,        "optimized_3ds": true,        "paypal_vault_id": "string",        "sca_flow": "string"      },      "payment_method": "string",      "report_values": {        "amount": "string",        "currency": "string"      },      "response_code": 0,      "statement_descriptor": "string",      "status": "succeeded",      "type": "string"    }  ],  "user_id": 0}